curl --request GET \
--url https://demo.enneo.ai/api/mind/contract/{contractId} \
--header 'Authorization: Bearer <token>'{
"id": 746839,
"orderId": 123,
"tenant": null,
"customerId": "123",
"signupDate": 1661126400,
"status": "active",
"statusCode": 5000,
"statusCodeTitle": "active",
"energy": "electricity",
"energyTypeId": 1,
"energySubTypeId": 1,
"email": "johndoe@example.com",
"firstname": "John",
"lastname": "Doe",
"deliveryAddress": "Hugo-Junkers-Str. 5, 82031 Grünwald",
"iban": "DE89370400440532013000",
"monthlyDeposit": 53,
"startDate": 1661990400,
"endDate": null,
"consumption": 3477,
"counterNumber": "1ESY1160669167",
"productId": 1,
"productName": "Flex 24",
"productCode": "flx_24",
"campaignId": 1,
"salesChannelId": 1,
"unpaidDebt": 109.21,
"vatRate": 0.09,
"basePrice": 0.09,
"workingPrice": 0.09,
"billingAddress": "Rechnungssstraße 24, 10587 Berlin",
"business": false,
"phone": 491721041689,
"gridOperatorName": "E.ON Bayern AG",
"gridOperatorCode": 1000000000000,
"registers": [
{}
],
"erpUrls": [
{
"url": "https://erp-system.com/contract/123",
"logo": "powercloud"
}
],
"rawData": null,
"agentPreview": [
{
"label": "Tarif",
"value": "Flex 24",
"tooltip": "AP: 28.5 ct/kWh\nGP: 149.88 €/Jahr",
"url": "https://erp.example.com/contract/123"
}
],
"tabPreview": {
"color": "green",
"icon": "electricity"
}
}curl --request GET \
--url https://demo.enneo.ai/api/mind/contract/{contractId} \
--header 'Authorization: Bearer <token>'{
"id": 746839,
"orderId": 123,
"tenant": null,
"customerId": "123",
"signupDate": 1661126400,
"status": "active",
"statusCode": 5000,
"statusCodeTitle": "active",
"energy": "electricity",
"energyTypeId": 1,
"energySubTypeId": 1,
"email": "johndoe@example.com",
"firstname": "John",
"lastname": "Doe",
"deliveryAddress": "Hugo-Junkers-Str. 5, 82031 Grünwald",
"iban": "DE89370400440532013000",
"monthlyDeposit": 53,
"startDate": 1661990400,
"endDate": null,
"consumption": 3477,
"counterNumber": "1ESY1160669167",
"productId": 1,
"productName": "Flex 24",
"productCode": "flx_24",
"campaignId": 1,
"salesChannelId": 1,
"unpaidDebt": 109.21,
"vatRate": 0.09,
"basePrice": 0.09,
"workingPrice": 0.09,
"billingAddress": "Rechnungssstraße 24, 10587 Berlin",
"business": false,
"phone": 491721041689,
"gridOperatorName": "E.ON Bayern AG",
"gridOperatorCode": 1000000000000,
"registers": [
{}
],
"erpUrls": [
{
"url": "https://erp-system.com/contract/123",
"logo": "powercloud"
}
],
"rawData": null,
"agentPreview": [
{
"label": "Tarif",
"value": "Flex 24",
"tooltip": "AP: 28.5 ct/kWh\nGP: 149.88 €/Jahr",
"url": "https://erp.example.com/contract/123"
}
],
"tabPreview": {
"color": "green",
"icon": "electricity"
}
}JWT-based authentication
The id of the contract to retrieve
If set to true, then the raw response from the ERP system will be included
If set to true, then enneo will fetch the data from the underlying ERP system first
Successful operation
A contract of a customer. Either electricity or gas. IDs match the backend system (powercloud)
746839
123
If a customer has multiple tenants/brands, this is the tenant name. Currently only used for SAP
null
"123"
1661126400
"active"
5000
"active"
"electricity"
1
1
"johndoe@example.com"
"John"
"Doe"
Address where the electricity/gas is being delivered to
"Hugo-Junkers-Str. 5, 82031 Grünwald"
"DE89370400440532013000"
53
1661990400
null
3477
"1ESY1160669167"
1
"Flex 24"
"flx_24"
1
1
109.21
VAT Rate, usually 0.19 (=19%) for electricity and 0.07 (=7%) for gas
0.09
0.09
0.09
Address where written communication should be sent to. NULL if same as delivery address
"Rechnungssstraße 24, 10587 Berlin"
false
491721041689
"E.ON Bayern AG"
1000000000000
Anzeigen untergeordnete attribute
Raw source data from the originating ERP system in the ERP-proprietary format is included here. Only provided on request.
null
Preview information shown to agents in the UI
Anzeigen untergeordnete attribute
Preview information shown in contract tabs
Anzeigen untergeordnete attribute